---
layout: project
menu_title: OpenDreamKit
title: OpenDreamKit
start: 2015-09
end: 2019-08
funding: EU
program: Research Infrastructure
grantid: 676541
homepage: http://opendreamkit.org
people: mkohlhase,frabe,twiesing
---

OpenDreamKit is a Horizon 2020 European Research Infrastructure project (#676541) that
will run for four years, starting from September 2015. It provides substantial funding to
the open source computational mathematics ecosystem, and in particular popular tools such
as LinBox, MPIR, SageMath, GAP, Pari/GP, LMFDB, Singular, MathHub, and the IPython/Jupyter
interactive computing environment.

From this ecosystem, OpenDreamKit will deliver a flexible toolkit enabling research groups
to set up Virtual Research Environments, customised to meet the varied needs of research
projects in pure mathematics and applications, and supporting the full research life-cycle
from exploration, through proof and publication, to archival and sharing of data and code.
